View a filed document
curl --request POST \
--url https://api.platform.arb.inc/filings/documents/view \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"caseID": "2025-08-00225",
"filingID": "15"
}
'import requests
url = "https://api.platform.arb.inc/filings/documents/view"
payload = {
"caseID": "2025-08-00225",
"filingID": "15"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({caseID: '2025-08-00225', filingID: '15'})
};
fetch('https://api.platform.arb.inc/filings/documents/view', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"document": {
"created": "2025-06-01T14:23:45Z",
"updated": "2025-06-10T09:15:00Z",
"caseID": "2025-08-00225",
"filingID": "15",
"phaseID": "caseInitiation",
"documentId": "statementOfClaim",
"partyID": "claimant",
"userID": "74e7a465-6865-42b9-a1cf-a241bd8896d4",
"organizationID": "16d1224b-8f19-44c7-bfb0-47a6a272ff33",
"isSubmitted": true,
"fields": {
"claimantName": "Mike Smith",
"claimantAddress": "123 Main Street"
},
"approved": "2025-06-12T17:00:00Z",
"approvedBy": "107b5300-6f89-4934-b188-b99594cf3c55",
"docketId": "42"
}
}"Document not found"filings
View a filed document
Returns the details of a filed document for a given case and filing.
POST
/
filings
/
documents
/
view
View a filed document
⌘I